> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/insight/revenue-analytics/overview

> Returns revenue analytics date based series data for charts and data tables



## OpenAPI

````yaml /openapi.json get /v1/report/insight/revenue-analytics/overview
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/report/insight/revenue-analytics/overview:
    get:
      tags:
        - Reporting/Insights Hub/Revenue Analytics
        - public
      summary: /report/insight/revenue-analytics/overview
      description: >-
        Returns revenue analytics date based series data for charts and data
        tables
      parameters:
        - name: uid
          in: query
          description: Publisher ID
          required: true
          schema:
            type: integer
        - name: range
          in: query
          description: Date range. All ranges exclude today and run up to yesterday
          required: false
          schema:
            type: string
            enum:
              - custom
              - all_time
              - seven_days
              - fourteen_days
              - thirty_days
              - three_months
              - six_months
              - week_to_date
              - month_to_date
              - quarter_to_date
              - year_to_date
              - last_week
              - last_month
              - last_quarter
              - last_year
              - month_on_month
              - quarter_on_quarter
              - yesterday
        - name: start
          in: query
          description: Start date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: end
          in: query
          description: End date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: rev_type
          in: query
          description: Revenue Type
          required: false
          schema:
            type: string
            enum:
              - gross
              - net
            default: gross
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      currency:
                        type: string
                      dates:
                        type: array
                        items:
                          type: string
                      dates_data:
                        type: object
                        properties:
                          page_views:
                            type: array
                            items:
                              type: integer
                          total_users:
                            type: array
                            items:
                              type: integer
                          sessions:
                            type: array
                            items:
                              type: integer
                          ad_requests:
                            type: array
                            items:
                              type: integer
                          unit_loads:
                            type: array
                            items:
                              type: integer
                          gross_revenue:
                            type: array
                            items:
                              type: number
                          gross_pap_revenue:
                            type: array
                            items:
                              type: number
                          gross_saas_revenue:
                            type: array
                            items:
                              type: number
                          net_revenue:
                            type: array
                            items:
                              type: number
                          net_pap_revenue:
                            type: array
                            items:
                              type: number
                          net_saas_revenue:
                            type: array
                            items:
                              type: number
                        required:
                          - page_views
                          - total_users
                          - sessions
                          - ad_requests
                          - unit_loads
                          - gross_revenue
                          - gross_pap_revenue
                          - gross_saas_revenue
                          - net_revenue
                          - net_pap_revenue
                          - net_saas_revenue
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            date:
                              type: string
                            gross_revenue:
                              type: number
                            gross_pap_revenue:
                              type: number
                            gross_saas_revenue:
                              type: number
                            net_revenue:
                              type: number
                            net_pap_revenue:
                              type: number
                            net_saas_revenue:
                              type: number
                            page_views:
                              type: integer
                            total_users:
                              type: integer
                            sessions:
                              type: integer
                            ad_requests:
                              type: integer
                            unit_loads:
                              type: integer
                          required:
                            - date
                            - gross_revenue
                            - gross_pap_revenue
                            - gross_saas_revenue
                            - net_revenue
                            - net_pap_revenue
                            - net_saas_revenue
                            - page_views
                            - total_users
                            - sessions
                            - ad_requests
                            - unit_loads
                    required:
                      - currency
                      - dates
                      - dates_data
                      - data
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  currency: GBP
                  dates:
                    - '2025-11-18'
                    - '2025-11-19'
                    - '2025-11-20'
                    - '2025-11-21'
                    - '2025-11-22'
                    - '2025-11-23'
                    - '2025-11-24'
                  dates_data:
                    page_views:
                      - 184535
                      - 164184
                      - 161322
                      - 179642
                      - 149858
                      - 120586
                      - 172457
                    total_users:
                      - 96352
                      - 81520
                      - 83952
                      - 94452
                      - 85459
                      - 68195
                      - 88069
                    sessions:
                      - 117041
                      - 100916
                      - 101140
                      - 112945
                      - 99454
                      - 79920
                      - 107169
                    ad_requests:
                      - 1182048
                      - 1117321
                      - 1038646
                      - 1124560
                      - 1144386
                      - 896852
                      - 1227014
                    unit_loads:
                      - 2456006
                      - 2069245
                      - 2024083
                      - 2060961
                      - 2913356
                      - 2185294
                      - 2568540
                    gross_revenue:
                      - 6359.95441
                      - 6081.900432
                      - 5509.869959
                      - 5224.176661
                      - 4536.930384
                      - 3914.770012
                      - 6339.721715
                    gross_pap_revenue:
                      - 23.416246
                      - 22.12348
                      - 20.004762
                      - 28.312267
                      - 30.604367
                      - 23.094557
                      - 22.155095
                    gross_saas_revenue:
                      - 6336.538164
                      - 6059.776952
                      - 5489.865197
                      - 5195.864394
                      - 4506.326017
                      - 3891.675455
                      - 6317.56662
                    net_revenue:
                      - 6355.271160799998
                      - 6077.475736000001
                      - 5505.8690066
                      - 5218.514207600001
                      - 4530.8095106
                      - 3910.1511006
                      - 6335.290696
                    net_pap_revenue:
                      - 18.7329968
                      - 17.698784
                      - 16.0038096
                      - 22.6498136
                      - 24.4834936
                      - 18.4756456
                      - 17.724076
                    net_saas_revenue:
                      - 6336.538163999999
                      - 6059.776952
                      - 5489.865197
                      - 5195.864394
                      - 4506.326016999999
                      - 3891.675455
                      - 6317.56662
                  data:
                    - date: '2025-11-18'
                      gross_revenue: 6359.95441
                      gross_pap_revenue: 23.416246
                      gross_saas_revenue: 6336.538164
                      net_revenue: 6355.271160799998
                      net_pap_revenue: 18.7329968
                      net_saas_revenue: 6336.538163999999
                      page_views: 184535
                      total_users: 96352
                      sessions: 117041
                      ad_requests: 1182048
                      unit_loads: 2456006
                    - date: '2025-11-19'
                      gross_revenue: 6081.900432
                      gross_pap_revenue: 22.12348
                      gross_saas_revenue: 6059.776952
                      net_revenue: 6077.475736000001
                      net_pap_revenue: 17.698784
                      net_saas_revenue: 6059.776952
                      page_views: 164184
                      total_users: 81520
                      sessions: 100916
                      ad_requests: 1117321
                      unit_loads: 2069245
                    - date: '2025-11-20'
                      gross_revenue: 5509.869959
                      gross_pap_revenue: 20.004762
                      gross_saas_revenue: 5489.865197
                      net_revenue: 5505.8690066
                      net_pap_revenue: 16.0038096
                      net_saas_revenue: 5489.865197
                      page_views: 161322
                      total_users: 83952
                      sessions: 101140
                      ad_requests: 1038646
                      unit_loads: 2024083
                    - date: '2025-11-21'
                      gross_revenue: 5224.176661
                      gross_pap_revenue: 28.312267
                      gross_saas_revenue: 5195.864394
                      net_revenue: 5218.514207600001
                      net_pap_revenue: 22.6498136
                      net_saas_revenue: 5195.864394
                      page_views: 179642
                      total_users: 94452
                      sessions: 112945
                      ad_requests: 1124560
                      unit_loads: 2060961
                    - date: '2025-11-22'
                      gross_revenue: 4536.930384
                      gross_pap_revenue: 30.604367
                      gross_saas_revenue: 4506.326017
                      net_revenue: 4530.8095106
                      net_pap_revenue: 24.4834936
                      net_saas_revenue: 4506.326016999999
                      page_views: 149858
                      total_users: 85459
                      sessions: 99454
                      ad_requests: 1144386
                      unit_loads: 2913356
                    - date: '2025-11-23'
                      gross_revenue: 3914.770012
                      gross_pap_revenue: 23.094557
                      gross_saas_revenue: 3891.675455
                      net_revenue: 3910.1511006
                      net_pap_revenue: 18.4756456
                      net_saas_revenue: 3891.675455
                      page_views: 120586
                      total_users: 68195
                      sessions: 79920
                      ad_requests: 896852
                      unit_loads: 2185294
                    - date: '2025-11-24'
                      gross_revenue: 6339.721715
                      gross_pap_revenue: 22.155095
                      gross_saas_revenue: 6317.56662
                      net_revenue: 6335.290696
                      net_pap_revenue: 17.724076
                      net_saas_revenue: 6317.56662
                      page_views: 172457
                      total_users: 88069
                      sessions: 107169
                      ad_requests: 1227014
                      unit_loads: 2568540
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````